Update Team
curl --request PUT \
--url https://api.crowdchange.dev/v2/private/user/fundraiser/{id}/team/{teamId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>",
"name": "<string>",
"amount_goal": 123,
"description": "<string>",
"image": "<string>"
}
'import requests
url = "https://api.crowdchange.dev/v2/private/user/fundraiser/{id}/team/{teamId}"
payload = {
"token": "<string>",
"name": "<string>",
"amount_goal": 123,
"description": "<string>",
"image": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: '<string>',
name: '<string>',
amount_goal: 123,
description: '<string>',
image: '<string>'
})
};
fetch('https://api.crowdchange.dev/v2/private/user/fundraiser/{id}/team/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "Team A",
"description": "Team description",
"image": "1eaf5ab2-5d55-11ee-82ef-001c42584fa2",
"amount_goal": 1000,
"amount_raised": 550,
"amount_raised_formatted": "$550",
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en",
"custom_data": [
{
"field_id": 1001,
"source_id": 11,
"name": "Phone Number",
"content": "555-123-4567",
"field_custom_id": "ABC-123",
"response_custom_id": null
}
],
"n_pages": 50,
"images": {
"original": "https://img.crowdchange.co/files/abc.png?tr=w-[width],h-[height]"
},
"fundraiser": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1",
"language": "en",
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
}
},
"user": {
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
}
}
User-Specific APIs
Update Team
Update the authenticated user’s CrowdChange fundraising team within a campaign, including name, description, goal, and team cover image.
PUT
/
v2
/
private
/
user
/
fundraiser
/
{id}
/
team
/
{teamId}
Update Team
Path parameters
integer
required
Campaign ID.
integer
required
Team ID.
Body
string
required
User’s access token.
string
Team’s name
number
Team’s goal amount
string
Team’s description
string
Team’s image ID
Response
integer
Team ID.
string
Team name.
string
Team type.
string | null
URL to the team’s page.
number
Goal amount.
string
Formatted goal amount, including the currency symbol.
number
Amount raised by the team.
string
Formatted amount raised by the team, including the currency symbol.
number
Pending offline donation amount for the team.
number
Team matched donation amount.
integer
Number of team donors.
integer
Number of personal pages on the team.
string | null
Team image ID.
string | null
Team description.
boolean
Whether the team image is inherited from the campaign.
boolean
Whether the team description is inherited from the campaign.
string | null
Team creation date and time.
string
Team language. Allowed values:
en, fr.object[]
Custom questions and responses configured for the resource.
object
object
Campaign summary.
Show properties
Show properties
| Status | Description |
|---|---|
400 | Bad Request |
403 | Forbidden |
{
"id": 1,
"name": "Team A",
"description": "Team description",
"image": "1eaf5ab2-5d55-11ee-82ef-001c42584fa2",
"amount_goal": 1000,
"amount_raised": 550,
"amount_raised_formatted": "$550",
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en",
"custom_data": [
{
"field_id": 1001,
"source_id": 11,
"name": "Phone Number",
"content": "555-123-4567",
"field_custom_id": "ABC-123",
"response_custom_id": null
}
],
"n_pages": 50,
"images": {
"original": "https://img.crowdchange.co/files/abc.png?tr=w-[width],h-[height]"
},
"fundraiser": {
"id": 1,
"name": "Gala Night",
"amount_goal": 10000,
"amount_raised": 8000,
"amount_raised_formatted": "$8,000",
"url": "https://demo.crowdchange.dev/1",
"language": "en",
"organization": {
"id": 1,
"name": "Crowdchange",
"custom_id": "CrowdchangeID"
}
},
"user": {
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr."
}
}
Last modified on August 17, 2026
Was this page helpful?